from setuptools import setup, find_packages
import platform

platform_install_requires = []

if platform.system() == 'Darwin':
    platform_install_requires += ['pyobjc-framework-CoreBluetooth']

# To use a consistent encoding
from codecs import open
from os import path

here = path.abspath(path.dirname(__file__))

# Get the long description from the README file
with open(path.join(here, 'README.md'), encoding='utf-8') as f:
    long_description = f.read()

setup(name              = 'bluebrick-Adafruit_BluefruitLE',
      version           = '0.9.13',
      author            = 'Virantha Ekanayake',
      author_email      = 'virantha@gmail.com',
      description       = 'Fork of Python library for interacting with Bluefruit LE (Bluetooth low energy) devices on Linux or OSX.',
      long_description  = long_description,
      license           = 'MIT',
      url               = 'https://github.com/virantha/Adafruit_Python_BluefruitLE/',
      install_requires  = ['future'] + platform_install_requires,
      packages          = find_packages())
